package com.willalp.level.mapper;

import com.willalp.common.core.mapper.BaseTreeMapper;
import com.willalp.level.domain.HsSysLevel;

import java.util.List;

/**
 * 层级规则Mapper接口
 *
 * @author bjh
 * @date 2021-12-02
 */
public interface HsSysLevelMapper extends BaseTreeMapper<HsSysLevel>
{
    /**
     * 查询层级规则
     *
     * @param id 层级规则主键
     * @return 层级规则
     */
    public HsSysLevel selectHsSysLevelById(String id);


    public Long  getByMaxId();
    public Long  getParent(String id);
    public Long  getCode(String id);


    /**
     * 查询层级规则列表
     *
     * @param hsSysLevel 层级规则
     * @return 层级规则集合
     */
    public List<HsSysLevel> selectHsSysLevelList(HsSysLevel hsSysLevel);

    /**
     * 新增层级规则
     *
     * @param hsSysLevel 层级规则
     * @return 结果
     */
    public int insertHsSysLevel(HsSysLevel hsSysLevel);

    /**
     * 修改层级规则
     *
     * @param hsSysLevel 层级规则
     * @return 结果
     */
    public int updateHsSysLevel(HsSysLevel hsSysLevel);

    /**
     * 删除层级规则
     *
     * @param id 层级规则主键
     * @return 结果
     */
    public int deleteHsSysLevelById(String id);

    /**
     * 批量删除层级规则
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHsSysLevelByIds(String[] ids);
}
